import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.service_request import service_request


class TestHomeV5:
    data = BaseRequest().api_load(path_setting.HOME_V5)
    homev5_case, homev5_data = get_ids(data, "home_v5")
    print(data)

    @pytest.mark.parametrize("param",homev5_data,ids=homev5_case)
    def test_home_v5(self,param):
        #print(param["home_v5"])
        r = service_request().home_v5()
        print(r)

        #if r["error"] == 0:
        assert r["error"] == param["assert"]











